### Hierarchy

- EventEmitter
  - Socket

## Index

### Properties

- defaultMaxListeners

### Methods

- addListener
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- on
- once
- prependListener
- prependOnceListener
- removeAllListeners
- removeListener
- setMaxListeners
- setMulticastInterface
- listenerCount

## Properties

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:780

## Methods

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:782

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:792

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:793

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:790

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:794

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:791

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:783

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:784

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:785

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:786

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:788

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:787

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:789

  #### Parameters

  - ##### n: number

  #### Returns this

### setMulticastInterface

- setMulticastInterface(multicastInterface: string): void

- - Defined in network.ts:330

  #### Parameters

  - ##### multicastInterface: string

  #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in C:/Sviluppo/GitHub/fucmen/node_modules/@types/node/index.d.ts:779

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc